=== modified file 'drizzled/algorithm/sha1.cc'
--- drizzled/algorithm/sha1.cc	2010-11-03 06:27:31 +0000
+++ drizzled/algorithm/sha1.cc	2010-12-04 04:58:08 +0000
@@ -9,8 +9,10 @@
 
 /*
  * SHA-1 in C
- * By Steve Reid <steve@edmweb.com>
- * 100% Public Domain
+ * 
+ * This file is based on public domain code.
+ * Initial source code is in the public domain, 
+ * so clarified by Steve Reid <steve@edmweb.com>
  *
  * Test Vectors (from FIPS PUB 180-1)
  * "abc"

=== modified file 'drizzled/algorithm/sha1.h'
--- drizzled/algorithm/sha1.h	2010-10-15 03:45:44 +0000
+++ drizzled/algorithm/sha1.h	2010-12-04 04:58:08 +0000
@@ -19,8 +19,11 @@
 
 /**
  * @addtogroup sha1 SHA-1 in C
- * By Steve Reid <steve@edmweb.com>
- * 100% Public Domain
+ * 
+ * This file is based on public domain code.
+ * Initial source code is in the public domain, 
+ * so clarified by Steve Reid <steve@edmweb.com>
+ *
  * @{
  */
 

=== modified file 'libdrizzle/sha1.c'
--- libdrizzle/sha1.c	2010-08-12 20:27:32 +0000
+++ libdrizzle/sha1.c	2010-12-04 04:58:08 +0000
@@ -5,8 +5,10 @@
 
 /*
  * SHA-1 in C
- * By Steve Reid <steve@edmweb.com>
- * 100% Public Domain
+ * 
+ * This file is based on public domain code.
+ * Initial source code is in the public domain, 
+ * so clarified by Steve Reid <steve@edmweb.com>
  *
  * Test Vectors (from FIPS PUB 180-1)
  * "abc"

=== modified file 'libdrizzle/sha1.h'
--- libdrizzle/sha1.h	2010-08-12 20:27:32 +0000
+++ libdrizzle/sha1.h	2010-12-04 04:58:08 +0000
@@ -12,8 +12,11 @@
 
 /**
  * @addtogroup sha1 SHA-1 in C
- * By Steve Reid <steve@edmweb.com>
- * 100% Public Domain
+ *
+ * This file is based on public domain code.
+ * Initial source code is in the public domain, 
+ * so clarified by Steve Reid <steve@edmweb.com>
+ *
  * @{
  */
 

=== modified file 'win32/alloca.c'
--- win32/alloca.c	2010-09-29 15:14:03 +0000
+++ win32/alloca.c	2010-12-04 04:58:08 +0000
@@ -1,6 +1,24 @@
 /* alloca.c -- allocate automatically reclaimed memory
    (Mostly) portable public-domain implementation -- D A Gwyn
 
+   Copyright (C) 1995, 1999, 2001-2004, 2006-2008 Free Software
+   Foundation, Inc.
+
+   This program is free software; you can redistribute it and/or modify it
+   under the terms of the GNU Lesser General Public License as published
+   by the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+   This program is distributed in the hope that it will be useful,
+   but WITHOUT ANY WARRANTY; without even the implied warranty of
+   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+   General Public License for more details.
+
+   You should have received a copy of the GNU Lesser General Public
+   License along with this program; if not, write to the Free Software
+   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
+   USA.
+
    This implementation of the PWB library alloca function,
    which is used to allocate space off the run-time stack so
    that it is automatically reclaimed upon procedure exit,

